diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatus.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatus.java
index 1a7d0763b1..1d12e30494 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatus.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignationStatus.java
@@ -24,13 +24,13 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
  * The terms in this class define the status of a {@link NameTypeDesignation name type designation}. 
  * 
  * @author a.babadshanjan
- * @version 1.0
  * @created 20.03.2009
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -78,19 +78,16 @@ public class NameTypeDesignationStatus extends TypeDesignationStatusBase<NameTyp
 		return (NameTypeDesignationStatus)termMap.get(uuid);
 	}
 
-	// ************* CONSTRUCTORS *************/	
+	//********************************** Constructor *********************************/	
 
-	/** 
-	 * Class constructor: creates a new empty name type designation status instance.
-	 * 
-	 * @see 	#NameTypeDesignationStatus(String, String, String)
-	 */
-	@Deprecated //public use by term initializer only TODO needs to be changed
-	public NameTypeDesignationStatus() {
+  	//for hibernate use only
+  	@Deprecated
+  	protected NameTypeDesignationStatus() {
+		super (TermType.NameTypeDesignationStatus);
 	}
 	
 	protected NameTypeDesignationStatus(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+		super(TermType.NameTypeDesignationStatus, term, label, labelAbbrev);
 	}
 
 //************************** METHODS ********************************
@@ -210,7 +207,7 @@ public class NameTypeDesignationStatus extends TypeDesignationStatusBase<NameTyp
 	 * Returns the boolean value indicating whether <i>this</i> type designation
 	 * status is itself "lectotype" or a kind of "lectotype" (true) or not
 	 * (false). Returns false if <i>this</i> type designation status is null.<BR>
-	 * A lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration} designated as the
+	 * A lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration} designated as the
 	 * nomenclatural type, when no holotype was indicated at the time of
 	 * publication of the "type-bringing" {@link TaxonNameBase taxon name}, when the
 	 * holotype is found to be assigned to taxon names belonging to more than
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalCode.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalCode.java
index 82a5543454..20a827abeb 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalCode.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalCode.java
@@ -10,9 +10,6 @@
 package eu.etaxonomy.cdm.model.name;
 
 import java.io.Serializable;
-import java.util.HashSet;
-import java.util.List;
-import java.util.Map;
 import java.util.Set;
 import java.util.UUID;
 
@@ -23,10 +20,9 @@ import javax.xml.bind.annotation.XmlType;
 
 import org.apache.log4j.Logger;
 
-import au.com.bytecode.opencsv.CSVWriter;
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
-import eu.etaxonomy.cdm.model.common.IDefinedTerm;
-import eu.etaxonomy.cdm.model.media.Media;
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
+import eu.etaxonomy.cdm.model.common.Language;
 
 /**
  * The class for the five nomenclature codes (ICNB, ICBN, ICNCP, ICZN and ICVCN)
@@ -49,23 +45,37 @@ import eu.etaxonomy.cdm.model.media.Media;
 
 @XmlType(name = "NomenclaturalCode")
 @XmlEnum
-public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serializable {
+public enum NomenclaturalCode implements IEnumTerm<NomenclaturalCode>, Serializable {
+	//0
 	/**
 	 * International Code of Nomenclature of Bacteria
 	*/
-	@XmlEnumValue("ICNB") ICNB(UUID.fromString("ff4b0979-7abf-4b40-95c0-8b8b1e8a4d5e"), "ICNB"), 
+	@XmlEnumValue("ICNB") 
+	ICNB(UUID.fromString("ff4b0979-7abf-4b40-95c0-8b8b1e8a4d5e"), "ICNB"), 
+	
+	//1
 	/**
-	 * International Code of Botanical Nomenclature
+	 * International Code of Nomenclature for algae, fungi, and plants
+	 * Former International Code of Botanical Nomenclature
 	 */
-	@XmlEnumValue("ICBN") ICBN(UUID.fromString("540fc02a-8a8e-4813-89d2-581dad4dd482"), "ICBN"), 
+	@XmlEnumValue("ICNAFP") 
+	ICNAFP(UUID.fromString("540fc02a-8a8e-4813-89d2-581dad4dd482"), "ICNAFP"), 
+	
+	//2
 	/**
 	 * International Code of Cultivated Plants
 	 */
-	@XmlEnumValue("ICNCP") ICNCP(UUID.fromString("65a432b5-92b1-4c9a-8090-2a185e423d2e"),"ICNCP"), 
+	@XmlEnumValue("ICNCP") 
+	ICNCP(UUID.fromString("65a432b5-92b1-4c9a-8090-2a185e423d2e"),"ICNCP"), 
+	
+	//3
 	/**
 	 * International Code of Zoological Nomenclature
 	 */
-	@XmlEnumValue("ICZN") ICZN(UUID.fromString("b584c2f8-dbe5-4454-acad-2b45e63ec11b"), "ICZN"), 
+	@XmlEnumValue("ICZN") 
+	ICZN(UUID.fromString("b584c2f8-dbe5-4454-acad-2b45e63ec11b"), "ICZN"), 
+	
+	//4
 	/**
 	 * International Code for Virus Classification and Nomenclature
 	 */
@@ -73,34 +83,22 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 
 	private static final Logger logger = Logger.getLogger(NomenclaturalCode.class);
 	
-	private UUID uuid;
-
-	private String titleCache;
-	
 	public String getTitleCache() {
-		return titleCache;
+		return getMessage();
 	}
 	
 	private NomenclaturalCode(UUID uuid, String titleCache){
-		this.uuid = uuid;
-		this.titleCache = titleCache;
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, titleCache, titleCache, null);
 	}
 	
 	
 	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getUuid()
-	 */
-	public UUID getUuid(){
-		return this.uuid;
-	}
-	
 	/* (non-Javadoc)
 	 * @see java.lang.Enum#toString()
 	 */
 	@Override
 	public String toString() {
-		return "NomenclaturalCode" + " <" + uuid + "> " + this.name();
+		return "NomenclaturalCode" + " <" + getUuid() + "> " + this.name();
 	}
 
 	public static NomenclaturalCode fromString(String string){
@@ -109,74 +107,12 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 				return code;
 			}
 		}
-		return null;
-	}
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getByUuid(java.util.UUID)
-	 */
-	public NomenclaturalCode getByUuid(UUID uuid) {
-		for (NomenclaturalCode nomCode : NomenclaturalCode.values()){
-			if (nomCode.getUuid().equals(uuid)){
-				return nomCode;
-			}
+		if ("ICBN".equals(string)){ //former name of the ICNAFP
+			return ICNAFP;
 		}
 		return null;
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getGeneralizationOf()
-	 */
-	public Set<NomenclaturalCode> getGeneralizationOf() {
-		return new HashSet<NomenclaturalCode>();
-	}
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getIncludes()
-	 */
-	public Set<NomenclaturalCode> getIncludes() {
-		return new HashSet<NomenclaturalCode>();
-	}
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getKindOf()
-	 */
-	public NomenclaturalCode getKindOf() {
-		return null;
-	}
-
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getPartOf()
-	 */
-	public NomenclaturalCode getPartOf() {
-		return null;
-	}
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.IDefinedTerm#getMedia()
-	 */
-	public Set<Media> getMedia() {
-		// TODO add links to codes
-		return new HashSet<Media>();
-	}
-
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.ILoadableTerm#readCsvLine(java.lang.Class, java.util.List, java.util.Map)
-	 */
-	public NomenclaturalCode readCsvLine(Class<NomenclaturalCode> termClass,
-			List<String> csvLine, Map<UUID, DefinedTermBase> terms) {
-		return null;
-	}
-
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.ILoadableTerm#writeCsvLine(au.com.bytecode.opencsv.CSVWriter, eu.etaxonomy.cdm.model.common.IDefinedTerm)
-	 */
-	public void writeCsvLine(CSVWriter writer, NomenclaturalCode term) {
-		logger.warn("write csvLine not yet implemented");
-	}
-
 	/**
 	 * Creates a new particular {@link TaxonNameBase taxon name} (botanical, zoological,
 	 * cultivar plant, bacterial or viral name) instance depending on <i>this</i>
@@ -191,10 +127,9 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 	 */
 	public TaxonNameBase<?,?> getNewTaxonNameInstance(Rank rank){
 		TaxonNameBase<?,?> result;
-		NomenclaturalCode nomCode = this;
 		
 		switch (this){
-		case ICBN:
+		case ICNAFP:
 			result = BotanicalName.NewInstance(rank);
 			break;
 		case ICZN:
@@ -232,7 +167,7 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 	public <T extends TaxonNameBase> Class<? extends T> getCdmClass(){
 		Class<? extends T> result;
 		switch (this){
-		case ICBN:
+		case ICNAFP:
 			result = (Class<T>)BotanicalName.class;
 			break;
 		case ICZN:
@@ -260,7 +195,7 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 	 */
 	public String acceptedTaxonStatusLabel(){
 		switch(this){
-		case ICBN:
+		case ICNAFP:
 			return "accepted";
 		case ICZN:
 			return "valid";
@@ -276,7 +211,7 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 	 */
 	public String synonymStatusLabel(){
 		switch(this){
-		case ICBN:
+		case ICNAFP:
 			return "synonym";
 		case ICZN:
 			return "invalid";
@@ -284,6 +219,45 @@ public enum NomenclaturalCode implements IDefinedTerm<NomenclaturalCode>, Serial
 			logger.error("Not implemented yet");
 			return "synonym";
 		}
-	}	
-}
+	}
+
+// *************************** DELEGATE **************************************/	
+	
+	private static EnumeratedTermVoc<NomenclaturalCode> delegateVoc;
+	private IEnumTerm<NomenclaturalCode> delegateVocTerm;
 
+	static {
+		delegateVoc = EnumeratedTermVoc.getVoc(NomenclaturalCode.class);
+	}
+	
+	@Override
+	public String getKey(){return delegateVocTerm.getKey();}
+	
+	@Override
+    public String getMessage(){return delegateVocTerm.getMessage();}
+
+	@Override
+    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+
+		
+	@Override
+    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+	@Override
+    public NomenclaturalCode getKindOf() {return delegateVocTerm.getKindOf();}
+	
+	@Override
+    public Set<NomenclaturalCode> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+
+	@Override
+	public boolean isKindOf(NomenclaturalCode ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
+
+	@Override
+    public Set<NomenclaturalCode> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+	
+	public static NomenclaturalCode getByKey(String key){return delegateVoc.getByKey(key);}
+    public static NomenclaturalCode getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
+	
+	
+}
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusType.java
index e7c024d0e7..4f4a342ad3 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NomenclaturalStatusType.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.cdm.model.name;
 
 
 
+import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
@@ -30,6 +31,7 @@ import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
 import eu.etaxonomy.cdm.model.common.Representation;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.cdm.strategy.exceptions.UnknownCdmTypeException;
 
@@ -92,7 +94,17 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 	private static final UUID uuidValid = UUID.fromString("bd036217-5499-4ccd-8f4c-72e06158db93");
 	private static final UUID uuidOpusUtiqueOppr = UUID.fromString("a5055d80-dbba-4660-b091-a1835d59fe7c");
 	private static final UUID uuidSubnudum = UUID.fromString("92a76bd0-6ea8-493f-98e0-4be0b98c092f");
+	private static final UUID uuidCombNov = UUID.fromString("ed508710-deef-44b1-96f6-1ce6d2c9c884");
 
+	public static NomenclaturalStatusType NewInstance(String description, String label, String labelAbbrev, Language language) {
+		return new NomenclaturalStatusType(description, label, labelAbbrev, language);
+	}
+	
+	public static NomenclaturalStatusType NewInstance(String description, String label, String labelAbbrev) {
+		return new NomenclaturalStatusType(description, label, labelAbbrev);
+	}
+		
+	
 	
 	private static Map<String, UUID> abbrevMap = null;
 	private static Map<String, UUID> labelMap = null;
@@ -109,16 +121,12 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 	}
 
 	
-	
-// ************* CONSTRUCTORS *************/	
-	/** 
-	 * Class constructor: creates a new empty nomenclatural status type instance.
-	 * 
-	 * @see 	#NomenclaturalStatusType(String, String, String)
-	 * @see 	#readCsvLine(List, Language)
-	 * @see 	#readCsvLine(List)
-	 */
-	public NomenclaturalStatusType() {
+//********************************** Constructor *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected NomenclaturalStatusType() {
+		super(TermType.NomenclaturalStatusType);
 	}
 
 	/** 
@@ -136,10 +144,15 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 	 * @see 				 #readCsvLine(List, Language)
 	 * @see 				 #readCsvLine(List)
 	 */
-	public NomenclaturalStatusType(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private NomenclaturalStatusType(String term, String label, String labelAbbrev) {
+		super(TermType.NomenclaturalStatusType, term, label, labelAbbrev);
 	}
 
+	private NomenclaturalStatusType(String term, String label, String labelAbbrev, Language language) {
+		super(TermType.NomenclaturalStatusType);
+		this.addRepresentation(new Representation(term, label, labelAbbrev, language));
+	}
+	
 //********* METHODS **************************************
 
 
@@ -205,7 +218,8 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 				this.equals(CONSERVED()) ||
 				this.equals(ORTHOGRAPHY_CONSERVED()) ||
 				this.equals(REJECTED_PROP()) ||
-				this.equals(UTIQUE_REJECTED_PROP())
+				this.equals(UTIQUE_REJECTED_PROP()) ||
+				this.equals(COMB_NOV())
 			){
 			return true;
 		}else{
@@ -648,6 +662,15 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 	public static final NomenclaturalStatusType SUBNUDUM(){
 		return getTermByUuid(uuidSubnudum);
 	}
+	
+	/**
+	 * Returns the nomenclatural status type "comb. nov.". No further information available for now.
+	 * @return
+	 */
+	//TODO javadoc. this term was added for Flore du Gabon
+	public static final NomenclaturalStatusType COMB_NOV(){
+		return getTermByUuid(uuidCombNov);
+	}
 
 	/**
 	 * Returns the nomenclatural status type "opus utique oppressum". This type
@@ -827,10 +850,10 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 	 * @see					eu.etaxonomy.cdm.model.common.DefinedTermBase#readCsvLine(List)
 	 */
 
-	public NomenclaturalStatusType readCsvLine(Class<NomenclaturalStatusType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {   //TODO should be List<String> but makes error for some strange reason
+	public NomenclaturalStatusType readCsvLine(Class<NomenclaturalStatusType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms, boolean abbrevAsId) {   //TODO should be List<String> but makes error for some strange reason
 		try {
 			NomenclaturalStatusType newInstance = termClass.newInstance();
-			DefinedTermBase.readCsvLine(newInstance, csvLine, Language.LATIN());
+			DefinedTermBase.readCsvLine(newInstance, csvLine, Language.LATIN(), abbrevAsId);
 			return newInstance;
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
@@ -859,24 +882,32 @@ public class NomenclaturalStatusType extends OrderedTermBase<NomenclaturalStatus
 			logger.warn("statusType is NULL");
 			return;
 		}
-		Language lang = Language.LATIN();   
-		Representation representation = statusType.getRepresentation(lang);
-		String abbrevLabel = representation.getAbbreviatedLabel();
-		String label = representation.getLabel();
-		if (abbrevLabel == null){
-			logger.warn("label is NULL");
-			return;
-		}
-		//initialize maps
-		if (abbrevMap == null){
-			abbrevMap = new HashMap<String, UUID>();
-		}
-		if (labelMap == null){
-			labelMap = new HashMap<String, UUID>();
+		List<Language> list = new ArrayList<Language>();
+		list.add(Language.LATIN());
+		list.add(Language.ENGLISH());
+		list.add(Language.DEFAULT());
+		
+		Representation representation = statusType.getPreferredRepresentation(list);
+		if (representation != null){
+			
+			String abbrevLabel = representation.getAbbreviatedLabel();
+			String label = representation.getLabel();
+			if (abbrevLabel == null){
+				logger.warn("label is NULL");
+				return;
+			}
+			//initialize maps
+			if (abbrevMap == null){
+				abbrevMap = new HashMap<String, UUID>();
+			}
+			if (labelMap == null){
+				labelMap = new HashMap<String, UUID>();
+			}
+			//add to map
+			abbrevMap.put(abbrevLabel, statusType.getUuid());
+			labelMap.put(label.toLowerCase(), statusType.getUuid());	
 		}
-		//add to map
-		abbrevMap.put(abbrevLabel, statusType.getUuid());
-		labelMap.put(label.toLowerCase(), statusType.getUuid());	
+		
 	}
 
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NonViralName.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NonViralName.java
index e7211a0d09..3a69f02d9f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NonViralName.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NonViralName.java
@@ -42,6 +42,7 @@ import org.hibernate.annotations.CascadeType;
 import org.hibernate.annotations.Target;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Analyze;
+import org.hibernate.search.annotations.Analyzer;
 import org.hibernate.search.annotations.Field;
 import org.hibernate.search.annotations.Fields;
 import org.hibernate.search.annotations.Index;
@@ -126,8 +127,9 @@ public class NonViralName<T extends NonViralName> extends TaxonNameBase<T, INonV
     @XmlElement(name = "NameCache")
     @Fields({
         @Field(name = "nameCache_tokenized"),
-        @Field(store = Store.YES, index = Index.YES, analyze = Analyze.NO)
+        @Field(store = Store.YES, index = Index.YES, analyze = Analyze.YES)
     })
+    @Analyzer (impl = org.apache.lucene.analysis.KeywordAnalyzer.class)
     @Match(value=MatchMode.CACHE, cacheReplaceMode=ReplaceMode.DEFINED,
             cacheReplacedProperties={"genusOrUninomial", "infraGenericEpithet", "specificEpithet", "infraSpecificEpithet"} )
     @NotEmpty(groups = Level2.class) // implicitly NotNull
@@ -139,7 +141,7 @@ public class NonViralName<T extends NonViralName> extends TaxonNameBase<T, INonV
     protected boolean protectedNameCache;
 
     @XmlElement(name = "GenusOrUninomial")
-    @Field(analyze = Analyze.YES)
+    @Field(analyze = Analyze.YES,indexNullAs=Field.DEFAULT_NULL_TOKEN)
     @Match(MatchMode.EQUAL_REQUIRED)
     @CacheUpdate("nameCache")
     @Size(max = 255)
@@ -149,7 +151,7 @@ public class NonViralName<T extends NonViralName> extends TaxonNameBase<T, INonV
     private String genusOrUninomial;
 
     @XmlElement(name = "InfraGenericEpithet")
-    @Field(analyze = Analyze.YES)
+    @Field(analyze = Analyze.YES,indexNullAs=Field.DEFAULT_NULL_TOKEN)
     @CacheUpdate("nameCache")
     //TODO Val #3379
 //    @NullOrNotEmpty
@@ -158,7 +160,7 @@ public class NonViralName<T extends NonViralName> extends TaxonNameBase<T, INonV
     private String infraGenericEpithet;
 
     @XmlElement(name = "SpecificEpithet")
-    @Field(analyze = Analyze.YES)
+    @Field(analyze = Analyze.YES,indexNullAs=Field.DEFAULT_NULL_TOKEN)
     @CacheUpdate("nameCache")
     //TODO Val #3379
 //    @NullOrNotEmpty
@@ -167,7 +169,7 @@ public class NonViralName<T extends NonViralName> extends TaxonNameBase<T, INonV
     private String specificEpithet;
 
     @XmlElement(name = "InfraSpecificEpithet")
-    @Field(analyze = Analyze.YES)
+    @Field(analyze = Analyze.YES,indexNullAs=Field.DEFAULT_NULL_TOKEN)
     @CacheUpdate("nameCache")
     //TODO Val #3379
 //    @NullOrNotEmpty
